<mat-grid-list cols="1" rowHeight="fit">
    <mat-grid-tile>
        <div class="form-register">
            <h3 class="header-text">REGISTER ACTIVITY</h3>
            <form style="margin-left: 1em" [formGroup]="form" #activityForm="ngForm" (submit)="submit()">
                <mat-form-field class="full-width" color="warn">
                    <input matInput placeholder="Activity Name" formControlName="activityName">
                </mat-form-field>
                <table class="full-width" cellspacing="0">
                    <tr>
                        <td>
                            <mat-form-field class="full-width">
                                <input matInput placeholder="Activity time" formControlName="activityTime" required>
                            </mat-form-field>
                        </td>
                        <td>
                            <mat-form-field class="full-width">
                                <input matInput placeholder="Location" formControlName="activityLocation" required>
                            </mat-form-field>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <mat-form-field>
                                <input matInput [matDatepicker]="actDate" placeholder="Activity Date"
                                    formControlName="activityDate">
                                <mat-datepicker-toggle matSuffix [for]="actDate"></mat-datepicker-toggle>
                                <mat-datepicker #actDate></mat-datepicker>
                            </mat-form-field>
                        </td>
                        <td>
                            <mat-form-field class="full-width">
                                <input matInput placeholder="Period of REQ" formControlName="periodRegistration" required #spy>
                            </mat-form-field>
                        </td>
                    </tr>
                </table>
                <mat-form-field class="full-width">
                    <input matInput placeholder="Description" formControlName="activityDescription" required>
                </mat-form-field>
                <mat-form-field class="full-width">
                    <input matInput placeholder="Host teacher" formControlName="hostTeacher" required>
                </mat-form-field>
                <mat-form-field  *ngIf="false">
                    <input matInput  formControlName="Status" value="Pending">
                </mat-form-field>
                <div class="btn-regis">
                    <button id="submit" mat-raised-button color="primary" type="submit" [disabled]="!form.valid">Register</button> 
                </div>
            </form>
        </div>
    </mat-grid-tile>
</mat-grid-list>
